# Enum Class PseudoDamerauLevenshtein.Type

java.lang.Object
java.lang.Enum<PseudoDamerauLevenshtein.Type>
de.calcom.cclib.text.PseudoDamerauLevenshtein.Type

All Implemented Interfaces:
  `Serializable, Comparable<PseudoDamerauLevenshtein.Type>, Constable`

Enclosing class:
  `PseudoDamerauLevenshtein`

public static enum PseudoDamerauLevenshtein.Type extends Enum<PseudoDamerauLevenshtein.Type>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Global`
`SemiGlobal`

## Method Summary

Modifier and Type
Method
Description
`static PseudoDamerauLevenshtein.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PseudoDamerauLevenshtein.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Global

public static final PseudoDamerauLevenshtein.Type Global

### SemiGlobal

public static final PseudoDamerauLevenshtein.Type SemiGlobal

## Method Details

### values

public static PseudoDamerauLevenshtein.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PseudoDamerauLevenshtein.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null